Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence.db
Class DbPersistenceServiceFactory

    java.lang.Object
      org.jbpm.persistence.db.DbPersistenceServiceFactory

All Implemented Interfaces:
  java.io.Serializable, ServiceFactory

Direct Known Subclasses:
  JtaDbPersistenceServiceFactory

    public class DbPersistenceServiceFactory

extends java.lang.Object
implements ServiceFactory

See Also:
  Serialized Form

Constructor Summary
`DbPersistenceServiceFactory()`

Method Summary
`void` | `close()` close this service factory
`void` | `createSchema()`
`void` | `dropSchema()`
`org.hibernate.cfg.Configuration` | `getConfiguration()`
`javax.sql.DataSource` | `getDataSource()`
`java.lang.String` | `getDataSourceJndiName()`
`org.hibernate.tool.hbm2ddl.SchemaExport` | `getSchemaExport()`
`org.hibernate.SessionFactory` | `getSessionFactory()`
`java.lang.String` | `getSessionFactoryJndiName()`
`boolean` | `isCurrentSessionEnabled()`
`boolean` | `isTransactionEnabled()`
`Service` | `openService()` open a service.
`void` | `setConfiguration(org.hibernate.cfg.Configuration configuration)`
`void` | `setCurrentSessionEnabled(boolean isCurrentSessionEnabled)`
`void` | `setDataSource(javax.sql.DataSource dataSource)`
`void` | `setDataSourceJndiName(java.lang.String dataSourceJndiName)`
`void` | `setSchemaExport(org.hibernate.tool.hbm2ddl.SchemaExport schemaExport)`
`void` | `setSessionFactory(org.hibernate.SessionFactory sessionFactory)`
`void` | `setSessionFactoryJndiName(java.lang.String sessionFactoryJndiName)`
`void` | `setTransactionEnabled(boolean isTransactionEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbPersistenceServiceFactory

    public DbPersistenceServiceFactory()

Method Detail

### openService

    public Service openService()

  Description copied from interface: `ServiceFactory`
  open a service. The service is to be closed on the Service object.

  Specified by:
    `openService` in interface `ServiceFactory`

### getConfiguration

    public org.hibernate.cfg.Configuration getConfiguration()

### getSchemaExport

    public org.hibernate.tool.hbm2ddl.SchemaExport getSchemaExport()

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

### getDataSource

    public javax.sql.DataSource getDataSource()

### createSchema

    public void createSchema()

### dropSchema

    public void dropSchema()

### close

    public void close()

  Description copied from interface: `ServiceFactory`
  close this service factory

  Specified by:
    `close` in interface `ServiceFactory`

### getDataSourceJndiName

    public java.lang.String getDataSourceJndiName()

### setDataSourceJndiName

    public void setDataSourceJndiName(java.lang.String dataSourceJndiName)

### getSessionFactoryJndiName

    public java.lang.String getSessionFactoryJndiName()

### setSessionFactoryJndiName

    public void setSessionFactoryJndiName(java.lang.String sessionFactoryJndiName)

### setConfiguration

    public void setConfiguration(org.hibernate.cfg.Configuration configuration)

### setDataSource

    public void setDataSource(javax.sql.DataSource dataSource)

### setSchemaExport

    public void setSchemaExport(org.hibernate.tool.hbm2ddl.SchemaExport schemaExport)

### setSessionFactory

    public void setSessionFactory(org.hibernate.SessionFactory sessionFactory)

### isTransactionEnabled

    public boolean isTransactionEnabled()

### setTransactionEnabled

    public void setTransactionEnabled(boolean isTransactionEnabled)

### isCurrentSessionEnabled

    public boolean isCurrentSessionEnabled()

### setCurrentSessionEnabled

    public void setCurrentSessionEnabled(boolean isCurrentSessionEnabled)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD